This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98886 - No IA32 OpenMotif libraries for application compatibility
No IA32 OpenMotif libraries for application compatibility
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openmotif (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-09 17:17 EDT by Rick Beldin
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-12 16:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick Beldin 2003-07-09 17:17:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
A customer has developed an IA32 product on RH that uses OpenMotif, which means
it has a dependency on libXm and possibly libMrm and libUil.
They would like to continue to deliver their product 'as is' and have it use the
IA32 compatability libraries provided in x86-compat-libs-7.2-1 when run on an
IA64 platform.   They have already done testing and know that if the IA32
libraries are copied to the IA64 system, the program runs correctly.
 
While they know about the increased performance they would get if they were to
rebuild their product natively on IA64,  they believe that the rebuilding,
retesting, and repackaging their product for a new platform to be
counterproductive. 

There appear to be two alternatives: 

- modify the x86-compat-libs-7.2-1 to include libXm, libMrm, and 
libUil from the IA32 shared libraries package openmotif-2.1.30-11

- create a new package containing only the IA32 Motif shared libraries

 

Version-Release number of selected component (if applicable):
openmotif-2.1.30-11

How reproducible:
Always

Steps to Reproduce:
1.Build a IA32 Motif app and copy the binary to IA64 RH AS 2.1
2.Try to run it - fails with missing libXm.so.3

Fix... 

3.copy libXm.so.3 from IA32 system to /usr/i386-glibc22-linux/lib/
4.re-run ldconfig or set LD_LIBRARY_PATH

Actual Results:  IA32 Motif program works correctly

Additional info:

Fixing this problem will make use of the IA64 platform more convenient for
software developers who would like to develop on IA32 and deliver on IA64.
Comment 1 C.L. Skillern 2004-03-15 17:39:06 EST
32-bit Motif and Xaw3d libraries are also missing in RH AWS3.0 from
the /usr/X11R6/lib directory. 

It isn't just "convenience" of not porting. Our applications use a
32-bit vendor library from Landmark Graphics, and this library is ONLY
available as 32-bit. 
Comment 2 Suzanne Hillman 2005-05-12 16:14:30 EDT
Please submit this feature request through your support contact.

Note You need to log in before you can comment on or make changes to this bug.